For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Connection Types
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • GETGet Connection
      • DELDelete Connection
      • PATCHUpdate Connection
      • GETConnection Parameter Values
      • GETGet Connection Source
      • POSTConnection Field Query
      • GETGet Connection Target
      • POSTGet Connection Target Fields
      • POSTCreate Shared Connection
      • GETList Shared Connections
Logo
Log inBook a demo
API ReferenceConnections

Get Connection Target

Deprecated
GET
https://app.polytomic.com/api/connections/:id/target
GET
/api/connections/:id/target
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/target \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {},
4 "items": {
5 "public.users": {
6 "has_items": true,
7 "items": [
8 {
9 "name": "id",
10 "type": "integer",
11 "nullable": false,
12 "primary_key": true
13 },
14 {
15 "name": "email",
16 "type": "varchar(255)",
17 "nullable": false,
18 "primary_key": false
19 },
20 {
21 "name": "created_at",
22 "type": "timestamp",
23 "nullable": false,
24 "primary_key": false
25 }
26 ],
27 "requires_one_of": [
28 "column"
29 ]
30 },
31 "public.orders": {
32 "has_items": true,
33 "items": [
34 {
35 "name": "order_id",
36 "type": "uuid",
37 "nullable": false,
38 "primary_key": true
39 },
40 {
41 "name": "user_id",
42 "type": "integer",
43 "nullable": false,
44 "primary_key": false
45 },
46 {
47 "name": "order_date",
48 "type": "date",
49 "nullable": false,
50 "primary_key": false
51 }
52 ],
53 "requires_one_of": [
54 "column"
55 ]
56 }
57 },
58 "requires_one_of": [
59 "table"
60 ]
61 }
62}

Returns target metadata for a connection.

🚧 Deprecated

Use GET /api/connections/{id}/modelsync/targetobjects instead. Available in API version 2024-02-08 and later.

Was this page helpful?
Previous

Get Connection Target Fields

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Query parameters

typestringOptional
searchstringOptional

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error